Namespace
bellsoft
Image / Tag
liberica-runtime-container:jdk-all-23_38-cds-stream-glibc
Content Digest
sha256:8e3328346625871af612592cd6090965c9f166ea1b44b206ab04689f4c902803
Details
Created

2024-10-04 06:06:45 UTC

Size

202 MB

Content Digest
Labels
  • maintainer
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.authors
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.description
    Alpaquita Stream Glibc based image with Liberica JDK-ALL 23, with CDS archives.

Environment
JAVA_HOME

/usr/lib/jvm/liberica23-lite

LANG

en_US.UTF-8

LANGUAGE

en_US:en

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df8c81ad3015a34445f331660812d4d20ec5cce7f008a2fe4bed4835fd189b90 - 5.73% (11.6 MB)

[#001] sha256:8439e81ff855dee9cb2ddada4777d7d920a03d69838db4226ea0366ba672a879 - 94.27% (191 MB)


History
2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) ARG MINIROOTFS

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) ARG LIBC MINIROOTFS

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC MINIROOTFS

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MINIROOTFS

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MAINTAINER MINIROOTFS

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) ARG APK_REPOS DESCRIPTION LIBC LOCALES MAINTAINER MINIROOTFS

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"

2024-10-03 15:23:17 UTC

/bin/sh -c #(nop) ADD file:564c45858de4f6f86bc346ddc6fce0fb87030db336ba56bfda3aed099791f13f in /

2024-10-03 15:23:18 UTC

|9 APK_REPOS= DESCRIPTION=Alpaquita Stream Glibc LIBC=glibc LOCALES= MAINTAINER=BellSoft <info@bell-sw.com> MINIROOTFS=alpaquita-minirootfs-stream-241003-glibc-x86_64.tar.gz /bin/sh -c set -e; command set -o pipefail; rootfs_libc=$(. /etc/os-release; echo $LIBC_TYPE); case "$LIBC" in glibc|musl) if [ "$rootfs_libc" != "$LIBC" ]; then echo "${MINIROOTFS}: got '${rootfs_libc}', expected '${LIBC}'"; exit 1; fi; ;; *) echo -n "Invalid LIBC: '${LIBC}'. "; echo "Only 'glibc' and 'musl' are supported."; exit 1; ;; esac; if [ -n "$APK_REPOS" ]; then printf '%s\n' $APK_REPOS | tee /etc/apk/repositories; fi; if [ "$LIBC" = "musl" ]; then apk add --no-cache musl-perf; fi; if [ "$LIBC" = "glibc" ] && [ -n "$LOCALES" ]; then apk add --no-cache glibc-locales; locale-gen --no-archive $LOCALES; apk del --no-cache glibc-locales ; rm -f /etc/locale.gen; fi

2024-10-03 15:23:18 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-10-04 06:06:40 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-glibc)

/bin/sh -c #(nop) ARG JAVA_RELEASE

2024-10-04 06:06:40 UTC (FROM 806782ff85e2)

/bin/sh -c #(nop) ARG BUNDLE_TYPE JAVA_RELEASE

2024-10-04 06:06:40 UTC (FROM 8f3a0a20aafc)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE

2024-10-04 06:06:40 UTC (FROM c44f48e15b51)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE REMOVE_APK_TOOLS

2024-10-04 06:06:40 UTC (FROM 5af2cf00ed5f)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-10-04 06:06:40 UTC (FROM 4bfa05201592)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-10-04 06:06:40 UTC (FROM 91d932095328)

/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"

2024-10-04 06:06:40 UTC (FROM a6ff99b132fd)

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"

2024-10-04 06:06:41 UTC (FROM 4807a1942480)

/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"

2024-10-04 06:06:41 UTC (FROM 5e55bcf98ec2)

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en

2024-10-04 06:06:41 UTC (FROM 34f8b1e174f9)

/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-lite"

2024-10-04 06:06:46 UTC (FROM 038cf6550f6b)

|18 BUNDLE_TYPE=jdk-all CDS=yes DESCRIPTION=Alpaquita Stream Glibc based image with Liberica JDK-ALL 23, with CDS archives. JAVA_RELEASE=23 MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=no /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 11|17|21|22|23) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '11', '17', '21', '22' and '23' are supported."; exit 1; ;; esac; case "$BUNDLE_TYPE" in jdk) NO_DEPS='-no-deps'; ;; jdk-all) ;; *) echo -n "Invalid BUNDLE_TYPE: '${BUNDLE_TYPE}'. "; echo "Only 'jdk' and 'jdk-all' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-lite-${BUNDLE_TYPE}${NO_DEPS}"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-lite-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi

Details
Created

2024-10-04 08:27:55 UTC

Size

200 MB

Content Digest
Labels
  • maintainer
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.authors
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.description
    Alpaquita Stream Glibc based image with Liberica JDK-ALL 23, with CDS archives.

Environment
JAVA_HOME

/usr/lib/jvm/liberica23-lite

LANG

en_US.UTF-8

LANGUAGE

en_US:en

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:a95fcf9843cc74ea63985d9e49d2cb07a000968a4e6280cb07bf994b410195b5 - 5.18% (10.4 MB)

[#001] sha256:371eb284ffc422e2d94db46c1c76017f483e9ab59db592a00ba7e4d8ea20d489 - 94.82% (190 MB)


History
2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) ARG MINIROOTFS

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) ARG LIBC MINIROOTFS

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC MINIROOTFS

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MINIROOTFS

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MAINTAINER MINIROOTFS

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) ARG APK_REPOS DESCRIPTION LIBC LOCALES MAINTAINER MINIROOTFS

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"

2024-10-03 15:30:20 UTC

/bin/sh -c #(nop) ADD file:fe1c2536826cdfbf6b604f2cd89851632c96aad3997bbff8b60bf7eaa2028b10 in /

2024-10-03 15:30:21 UTC

|9 APK_REPOS= DESCRIPTION=Alpaquita Stream Glibc LIBC=glibc LOCALES= MAINTAINER=BellSoft <info@bell-sw.com> MINIROOTFS=alpaquita-minirootfs-stream-241003-glibc-aarch64.tar.gz /bin/sh -c set -e; command set -o pipefail; rootfs_libc=$(. /etc/os-release; echo $LIBC_TYPE); case "$LIBC" in glibc|musl) if [ "$rootfs_libc" != "$LIBC" ]; then echo "${MINIROOTFS}: got '${rootfs_libc}', expected '${LIBC}'"; exit 1; fi; ;; *) echo -n "Invalid LIBC: '${LIBC}'. "; echo "Only 'glibc' and 'musl' are supported."; exit 1; ;; esac; if [ -n "$APK_REPOS" ]; then printf '%s\n' $APK_REPOS | tee /etc/apk/repositories; fi; if [ "$LIBC" = "glibc" ] && [ -n "$LOCALES" ]; then apk add --no-cache glibc-locales; locale-gen --no-archive $LOCALES; apk del --no-cache glibc-locales ; rm -f /etc/locale.gen; fi

2024-10-03 15:30:21 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-10-04 08:27:24 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-glibc)

/bin/sh -c #(nop) ARG JAVA_RELEASE

2024-10-04 08:27:24 UTC (FROM beb409f44338)

/bin/sh -c #(nop) ARG BUNDLE_TYPE JAVA_RELEASE

2024-10-04 08:27:24 UTC (FROM a1795951884c)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE

2024-10-04 08:27:24 UTC (FROM 1e2ee23843ed)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE REMOVE_APK_TOOLS

2024-10-04 08:27:24 UTC (FROM 0473a1240f96)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-10-04 08:27:24 UTC (FROM e4e26936ba42)

/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-10-04 08:27:24 UTC (FROM 6d434968d348)

/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"

2024-10-04 08:27:24 UTC (FROM 3798de0782cd)

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"

2024-10-04 08:27:24 UTC (FROM 689b9edc397c)

/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"

2024-10-04 08:27:24 UTC (FROM 9d3920e85f58)

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en

2024-10-04 08:27:24 UTC (FROM fa55b26acd24)

/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-lite"

2024-10-04 08:27:56 UTC (FROM 633669a6ee43)

|18 BUNDLE_TYPE=jdk-all CDS=yes DESCRIPTION=Alpaquita Stream Glibc based image with Liberica JDK-ALL 23, with CDS archives. JAVA_RELEASE=23 MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=no /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 11|17|21|22|23) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '11', '17', '21', '22' and '23' are supported."; exit 1; ;; esac; case "$BUNDLE_TYPE" in jdk) NO_DEPS='-no-deps'; ;; jdk-all) ;; *) echo -n "Invalid BUNDLE_TYPE: '${BUNDLE_TYPE}'. "; echo "Only 'jdk' and 'jdk-all' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-lite-${BUNDLE_TYPE}${NO_DEPS}"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-lite-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete